View Issue Details

IDProjectCategoryView StatusLast Update
0003142SymmetricDSNew Featurepublic2018-02-14 15:08
ReportermaxwellpettitAssigned Tomaxwellpettit 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.0Fixed in Version3.9.0 
Summary0003142: Sync Columns Between Incoming and Outgoing Batch
DescriptionWhen Incoming and Outgoing Batches were changed to have the same columns, many columns are empty. Somehow, we want to sync these columns so that they have the same information in both Incoming and Outgoing Batch.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 d746e713

2017-06-19 10:03:29

maxwellpettit

Details Diff
0003142: Sync Columns Between Incoming and Outgoing Batch
0003142
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/BatchAck.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AcknowledgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/AbstractTransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/web/WebConstants.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/CsvConstants.java Diff File

SymmetricDS: 3.9 b3ecc61e

2017-06-19 10:18:15

maxwellpettit

Details Diff
0003142: Sync Columns Between Incoming and Outgoing Batch
0003142
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

SymmetricDS: 3.9 6ae7706e

2017-06-20 10:19:57

maxwellpettit

Details Diff
0003142: Sync Columns Between Incoming and Outgoing Batch
0003142
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

SymmetricDS: 3.9 866fb8e5

2017-06-21 13:34:36

maxwellpettit

Details Diff
0003142: Sync Columns Between Incoming and Outgoing Batch
0003142
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/IncomingBatch.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/DataReaderStatistics.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/ProtocolDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/SimpleStagingDataWriter.java Diff File

SymmetricDS: 3.9 165ece50

2017-06-22 12:00:49

maxwellpettit

Details Diff
0003142: Sync Columns Between Incoming and Outgoing Batch
0003142
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/SimpleStagingDataWriter.java Diff File

SymmetricDS: 3.9 5cbc027b

2017-06-23 13:59:34

maxwellpettit

Details Diff
0003142: Sync Columns Between Incoming and Outgoing Batch
0003142
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/ProtocolDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/SimpleStagingDataWriter.java Diff File

SymmetricDS: 3.9 5cfbd985

2017-06-26 15:54:53

maxwellpettit

Details Diff
0003142: Sync Columns Between Incoming and Outgoing Batch
0003142
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/IncomingBatch.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchService.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/Batch.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/ProtocolDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/SimpleStagingDataWriter.java Diff File

SymmetricDS: 3.9 d75f8944

2017-06-28 10:02:52

maxwellpettit

Details Diff
0003142: Sync Columns Between Incoming and Outgoing Batch
0003142
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/IncomingBatch.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchService.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/Batch.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DataContext.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/DataReaderStatistics.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/SimpleStagingDataWriter.java Diff File

SymmetricDS: 3.9 fe3c89d9

2017-06-29 10:40:26

maxwellpettit

Details Diff
0003142: Sync Columns Between Incoming and Outgoing Batch
0003142
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/AbstractTransportManager.java Diff File

SymmetricDS: 3.8 5abe6e6f

2017-06-29 13:16:56

maxwellpettit

Details Diff
0003142: Sync Columns Between Incoming and Outgoing Batch
0003142
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/PostgreSqlSymmetricDialect.java Diff File

SymmetricDS: 3.9 a76dac8a

2017-06-30 11:17:56

maxwellpettit

Details Diff
0003142: Sync Columns Between Incoming and Outgoing Batch
0003142
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/IncomingBatch.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchServiceSqlMap.java Diff File

SymmetricDS: 3.9 6bd05911

2017-07-05 13:04:31

maxwellpettit

Details Diff
0003142: Sync Columns Between Incoming and Outgoing Batch
0003142
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MsSqlBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MySqlBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/OracleBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/PostgresBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/RedshiftBulkDatabaseWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/AbstractBatch.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/IncomingBatch.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/AbstractDatabaseWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/AbstractDatabaseWriterConflictResolver.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/AbstractProtocolDataWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DataWriterStatisticConstants.java Diff File
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/AbstractWriterTest.java Diff File
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriterTest.java Diff File

SymmetricDS: 3.9 8f5004ce

2017-07-11 10:53:20

maxwellpettit

Details Diff
0003142: Sync Columns Between Incoming and Outgoing Batch
0003142
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/IncomingBatch.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/ProtocolDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/SimpleStagingDataWriter.java Diff File

SymmetricDS: 3.9 448eaf63

2017-07-17 13:15:04

maxwellpettit

Details Diff
0003142: Sync Columns Between Incoming and Outgoing Batch
0003142
add - symmetric-server/src/test/java/org/jumpmind/symmetric/test/BatchStatisticsTest.java Diff File

SymmetricDS: 3.9 39d85e6d

2017-09-13 19:46:23

chenson42

Details Diff
0003142: Sync Columns Between Incoming and Outgoing Batch

Use the extract_row_count to seend the process info object with the
correct number of total rows that will be loaded.

0003142
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/ProcessInfo.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File

SymmetricDS: 3.9 04cf8275

2017-09-24 15:00:23

chenson42

Details Diff
0003142: Sync Columns Between Incoming and Outgoing Batch. Fix null
pointer when stream.to.file.enabled is false on source and true on
target.

0003142
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/ProtocolDataReader.java Diff File

Issue History

Date Modified Username Field Change
2017-06-06 11:06 maxwellpettit New Issue
2017-06-06 11:06 maxwellpettit Status new => assigned
2017-06-06 11:06 maxwellpettit Assigned To => maxwellpettit
2017-06-29 14:00 maxwellpettit Changeset attached => SymmetricDS 3.8 5abe6e6f
2017-12-12 12:32 mmichalek Status assigned => resolved
2017-12-12 12:32 mmichalek Resolution open => fixed
2017-12-12 12:32 mmichalek Fixed in Version => 3.9.0
2017-12-15 16:21 mmichalek Status resolved => closed
2018-02-14 15:08 chenson42 Changeset attached => SymmetricDS 3.9 04cf8275
2018-02-14 15:08 chenson42 Changeset attached => SymmetricDS 3.9 39d85e6d
2018-02-14 15:08 maxwellpettit Changeset attached => SymmetricDS 3.9 448eaf63
2018-02-14 15:08 maxwellpettit Changeset attached => SymmetricDS 3.9 8f5004ce
2018-02-14 15:08 maxwellpettit Changeset attached => SymmetricDS 3.9 6bd05911
2018-02-14 15:08 maxwellpettit Changeset attached => SymmetricDS 3.9 a76dac8a
2018-02-14 15:08 maxwellpettit Changeset attached => SymmetricDS 3.9 fe3c89d9
2018-02-14 15:08 maxwellpettit Changeset attached => SymmetricDS 3.9 d75f8944
2018-02-14 15:08 maxwellpettit Changeset attached => SymmetricDS 3.9 5cfbd985
2018-02-14 15:08 maxwellpettit Changeset attached => SymmetricDS 3.9 5cbc027b
2018-02-14 15:08 maxwellpettit Changeset attached => SymmetricDS 3.9 165ece50
2018-02-14 15:08 maxwellpettit Changeset attached => SymmetricDS 3.9 866fb8e5
2018-02-14 15:08 maxwellpettit Changeset attached => SymmetricDS 3.9 6ae7706e
2018-02-14 15:08 maxwellpettit Changeset attached => SymmetricDS 3.9 b3ecc61e
2018-02-14 15:08 maxwellpettit Changeset attached => SymmetricDS 3.9 d746e713